0
Welcome Guest! Login
0 items Join Now

Joomla 4

    • Emms's Avatar
    • Emms
    • Jr. Rocketeer
    • Posts: 38
    • Thanks: 0

    Joomla 4

    Posted 1 month 3 weeks ago
    • Hi,

      Do you intend to qualify your templates as compatible with Joomla 4 ?
      I know it is only in Beta version, and Joomla!10 in alpha version, but have you started your investigations on compatibility issues ?

      Emms
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 94307
    • Thanks: 12419
    • Web Designer/Developer

    Re: Joomla 4

    Posted 1 month 3 weeks ago
    • We wrote a blog article some time ago about this https://rockettheme.com/blog/joomla/279-rockettheme-update-joomla-4-more .

      Joomla 4 continues to stretch out into the future with delay after delay. When it eventually does get released we will be releasing Gantry 5.5 and working through the Gantry 5 template portfolio and releasing versions compatible with Joomla 4. Gantry 4, it's templates, and all the old RT extensions will NOT be made to work on Joomla 4 at all. However, at the same time that Joomla 4 is released, Joomla will also release Joomla 3.10.x and that will be supported by them for another two years. So, during that time, we will continue to support Gantry 4 and it's templates on the J3.10.x platform.

      We've been slowly retiring the old RT extensions and making them "legacy" (i.e. unsupported) - this has been done as technology has moved on and they have largely been superseded by Gantry 5 particles instead. The continual flow of updated PHP versions has also hastened this. Gantry 5.5 will be made to work on PHP8 but Gantry 4 will not.

      I hope that is clearer for you.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • Emms's Avatar
    • Emms
    • Jr. Rocketeer
    • Posts: 38
    • Thanks: 0

    Re: Joomla 4

    Posted 1 month 3 weeks ago
    • Hello,

      It is only partially clearer. For the links and articles you have put forward, I didn't find any annoucement of usable RT templates on Joomla!4.
      I use Gantry 5 templates from RT. I am using your template for over 10 years now. But I have kept updated on Gantry 5.

      Considering that it is already possible to publish Joomla4 sites, do you have some templates which are usable?
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 94307
    • Thanks: 12419
    • Web Designer/Developer

    Re: Joomla 4

    Posted 1 month 3 weeks ago
    • Joomla 4 is not yet released. They have just announced another delay to incorporate bootstrap 5. We do not release templates for beta products. So, no, we don’t have any templates or gantry version that works with Joomla 4. When J4 officially releases we will then release Gantry5.5 and templates to use it.

      Regards, Mark.
    • The following users have thanked you: Emms

    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.

Time to create page: 0.072 seconds